Subject: [bug#56536] [PATCH]: gnu: newt: Fix cross-compilationn

From: Mathieu Othacehe <[email-masked]>
Date: Sat, 06 Aug 2022 19:34:22 +0200

Hey,

> Because `python-config' output differs for the host and the target I
> believe.

Right, however moving python to native-inputs I have:

--8<---------------cut here---------------start------------->8---
mathieu@meije ~/guix [env]$ file /gnu/store/ib2xkrh9i2ff2b5zj1llf2x58zrm4zn6-newt-0.52.21-python/lib/python3.9/site-packages/_snack.so
/gnu/store/ib2xkrh9i2ff2b5zj1llf2x58zrm4zn6-newt-0.52.21-python/lib/python3.9/site-packages/_snack.so: ELF 64-bit LSB shared object, ARM aarch64, version 1 (SYSV), dynamically linked, stripped
--8<---------------cut here---------------end--------------->8---

which seems fine. An issue could be that the headers it uses at compile
time are from the native Python so maybe we'd better take the one from
the target python.

All in all, I'll go with your original patch I guess.

Thanks,

Mathieu